JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const creditGrantResponse = await client.v1.credits.grants.void('x');
console.log(creditGrantResponse.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
credit_grant_response = client.v1.credits.grants.void(
id="x",
)
print(credit_grant_response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
creditGrantResponse, err := client.V1.Credits.Grants.Void(
context.TODO(),
"x",
stigg.V1CreditGrantVoidParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", creditGrantResponse.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.grants.CreditGrantResponse;
import io.stigg.models.v1.credits.grants.GrantVoidParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CreditGrantResponse creditGrantResponse = client.v1().credits().grants().void_("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
credit_grant_response = stigg.v1.credits.grants.void("x")
puts(credit_grant_response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.Grants;
StiggClient client = new();
GrantVoidParams parameters = new() { ID = "x" };
var creditGrantResponse = await client.V1.Credits.Grants.Void(parameters);
Console.WriteLine(creditGrantResponse);stigg v1:credits:grants void \
--api-key 'My API Key' \
--id xcurl --request POST \
--url https://api.stigg.io/api/v1/credits/grants/{id}/void \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/credits/grants/{id}/void",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "cred-grant-abc123",
"displayName": "Monthly credits",
"amount": 1000,
"consumedAmount": 250,
"grantType": "PROMOTIONAL",
"sourceType": null,
"priority": 1,
"effectiveAt": "2024-01-01T00:00:00.000Z",
"expireAt": "2024-12-31T23:59:59.000Z",
"voidedAt": null,
"metadata": {},
"cost": {
"amount": 0,
"currency": "usd"
},
"comment": null,
"customerId": "customer-123",
"resourceId": null,
"currencyId": "credits",
"invoiceId": null,
"latestInvoice": null,
"syncStates": [
{
"vendorIdentifier": "STRIPE",
"status": "PENDING",
"syncedEntityId": null
}
],
"paymentCollection": "NOT_REQUIRED",
"status": "ACTIVE",
"createdAt": "2025-10-26T10:00:00.000Z",
"updatedAt": "2025-10-26T10:00:00.000Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Credit grants
Void credit grant
Voids an existing credit grant, preventing further consumption of the remaining credits.
POST
/
api
/
v1
/
credits
/
grants
/
{id}
/
void
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const creditGrantResponse = await client.v1.credits.grants.void('x');
console.log(creditGrantResponse.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
credit_grant_response = client.v1.credits.grants.void(
id="x",
)
print(credit_grant_response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
creditGrantResponse, err := client.V1.Credits.Grants.Void(
context.TODO(),
"x",
stigg.V1CreditGrantVoidParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", creditGrantResponse.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.grants.CreditGrantResponse;
import io.stigg.models.v1.credits.grants.GrantVoidParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CreditGrantResponse creditGrantResponse = client.v1().credits().grants().void_("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
credit_grant_response = stigg.v1.credits.grants.void("x")
puts(credit_grant_response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.Grants;
StiggClient client = new();
GrantVoidParams parameters = new() { ID = "x" };
var creditGrantResponse = await client.V1.Credits.Grants.Void(parameters);
Console.WriteLine(creditGrantResponse);stigg v1:credits:grants void \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Response
The voided credit grant object.
Response object
Credit grant object representing allocated credits for a customer
Show child attributes
Show child attributes
⌘I
